Description

Currently /msg nickserv works, though /nickserv or /ns do not. The same applies for chanserv and (servers that support) hostserv.

/ns /msg nickserv $0
/nickserv /msg nickserv $0
/cs /msg chanserv $0
/chanserv /msg chanserv $0
/hs /msg hostserv $0
/hostserv /msg hostserv $0

These are all aliases that work well for me, though as | understand it, these are supported server-side by a few networks, Freenode
included, so | don't know what the best course of action would be - having these as implicit aliases (or pass them through to the
server if they aren't understood) or including them as aliases at least for the time being.

Related issues:

Related to Quassel IRC - Bug #297: Change the default /j alias to accept chan... Resolved
Related to Quassel IRC - Feature #303: Add /unban and /banlist Assigned
History

#1 - 09/03/2008 05:15 AM - sph
Slightly related:

e http://bugs.quassel-irc.org/view.php?id=303
=> /unban, /banlist

o http://bugs.quassel-irc.org/view.php?id=297
=> Fix /]

#2 - 10/31/2008 02:15 PM - EgS

Those aliases sound reasonable. I've added them in current git:
J//git.q

Note: the default aliases will only load if your current alias list is empty. Alias list is loaded on core start.
So if you have an old account you will have to clear your alias list and restart the core to load the new aliases. Otherwise you can also just add them
yourself.

#3 - 12/16/2013 06:32 PM - d7s
Hi.

Not all IRC networks need this aliases, RusNet being the most prominent example, so it would be really nice if the defaults could be set per network.
In the case of RusNet, if | try to use auto identify feature, | get "[NickServ] Use /nickserv, not /MSG nickserv" response. I've even tried to add alias
"/nickserv /quote nickserv $0" but apparently auto identify ignores it.

#4 - 12/16/2013 06:44 PM - Anonymous
- OS set to Any

The auto-identify feature doesn't have anything to do with aliases, it just messages the nickserv service. Create a new issue for this, although imo it's
not even a bug.

04/18/2024 1/1



http://bugs.quassel-irc.org/view.php?id=303
http://bugs.quassel-irc.org/view.php?id=297
http://git.quassel-irc.org/?p=quassel.git;a=commit;h=eb8ee27deb8346dbf9e8515b0cceefd58cda971b
http://www.tcpdf.org

